| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DeadlineQosPolicy Class Reference

DataReader expects a new sample updating the value of each instance at least once every deadline period. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for DeadlineQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DeadlineQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DeadlineQosPolicy ()=default
| Destructor.
bool | operator== (const DeadlineQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

fastdds::dds::Duration_t | period
| Maximum time expected between samples.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

DataReader expects a new sample updating the value of each instance at least once every deadline period.

DataWriter indicates that the application commits to write a new value (using the DataWriter) for each instance managed by the DataWriter at least once every deadline period.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ DeadlineQosPolicy()

FASTDDS_EXPORTED_API DeadlineQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~DeadlineQosPolicy()

virtual FASTDDS_EXPORTED_API ~DeadlineQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const DeadlineQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ period

fastdds::dds::Duration_t period

Maximum time expected between samples.

It is inconsistent for a DataReader to have a DEADLINE period less than its TimeBasedFilterQosPolicy minimum_separation.
By default, c_TimeInifinite.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp